﻿.StationDivSPdesk {
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 99%;
    margin: 0 auto;
    /* border: 1px solid blue;*/
    gap: 5px;
}


.leftDivStation {
    flex: 0 0 33%;
    display: flex;
    /*justify-content: center;*/
    align-items: center;
    flex-direction: column;
    /*border: 1px solid red*/
}


.middleDivHome {
    flex: 0 0 33%;
    display: flex;
    /*    justify-content: center;*/
    /*align-items: center;*/
    flex-direction: column;
}


.rightDivSPdesk {
    flex: 0 0 33%;
    /*    justify-content: center;
    align-items: center;*/
    /*border: 1px solid green;*/
}


.tableheader {
    background-color: #223250;
    color: white;
    font-family: 'Segoe UI';
    font-size: 16px;
}

.addressCon {
}

.addressDiv {
    flex: 2;
    display: flex;
    justify-content: center;
    flex-direction: column;
    background-color: #eeeeee;
    border-radius:10px;
}

.addrSliderDiv {
    flex: 1;
    display:flex;
    flex-direction:row;
}

.embeddedFB {
    justify-content: right;
    align-items: end;
}

/*========hover effect===============*/
tbody tr {
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

    tbody tr:hover {
        transform: scale(1.02);
        box-shadow: 0px 4px 10px rgba(0,0,0,0.2);
    }




@media(max-width:768px) {
    .StationDivSPdesk {
        flex-direction: column;
    }

    #fbtime {
        width: -webkit-fill-available;
    }

    .embeddedFB {
        align-items: normal;
    }

    .embeddedFB {
        order: 1;
    }

    .addressCon {
        order: 3;
    }

    .embeddedX {
        order: 2;
    }
}

/*=================sp-section==============*/
.containerHome {
    width: 80%; /* Set total container width */
    /*    height: 400px;  Set a height */
    display: flex; /* Arrange children horizontally */
    margin-right: auto; /* Center horizontally */
    /*    border: 2px solid black;*/
    flex-direction: column;
}

.myTitle-div {
    /*height: 20%;*/ /* Take 50% horizontally */
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 24px;
    font-weight: bold;
}

.second-div {
    /*height: 80%;*/
    display: flex;
    flex-direction: row;
    gap: 5px;
}

/*.left-half, */
.right-half {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
    font-weight: bold;
}

/*.left-half {
    background-color: lightcoral;
}*/

/*.right-half {
    width: 70%;
}*/
/*===============sp-section end==============*/



/*====== CSS For New Icon =======*/
.new-icon {
    display: inline-block;
    padding: 2px 6px;
    background-color: #F03639;
    color: white;
    font-size: 8px;
    font-weight: bold;
    border-radius: 3px;
    text-transform: uppercase;
    animation: pulse 0.9s infinite;
}

.left {
    margin-right: 8px;
}

.right {
    margin-left: 8px;
}

@keyframes pulse {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.1);
    }

    100% {
        transform: scale(1);
    }
}

.news-item {
    display: flex;
    align-items: center;
    margin: 10px 0;
}

/*====== CSS For New Icon Ends =======*/

/*====== CSS For PressNote Starts =======*/
.pressnote-heading {
    text-align: center;
    font-weight: bold;
    color: #C35839;
    font-size: 16px;
    font-weight: bold;
    margin-top: 0 0 10px 0;
    padding: 0;
}

.pressnote-card {
    border-radius: 8px;
    padding: 5px 10px 5px 10px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.2);
    border: 1px solid #e0e0e0;
    width: 100%;
    margin-top: 15px;
}

/* List */
.pressnote-list {
    list-style-type: disc;
    /*padding-left: 20px;*/   
}

.pressnote-item {
/*    margin-bottom: 10px;
    line-height: 1.6;*/
    font-family: 'Segoe UI';
    font-size: 15px;
    color: black;
}


.pressnote-link {
    text-decoration: none !important;
    color: black !important;
    font-size: 16px;
    overflow: hidden;
    text-overflow: ellipsis;
    word-break: break-word;
}

    .pressnote-link:hover {
        text-decoration: underline;
        color: black;
    }

/* Align second line under text */
.second-line {
    margin-left: 18px;
    display: inline-block;
}

/* Language tag */
.lang-tag {
    /*font-weight: bold;*/
    /*color: #444;*/
}

/* No data */
.no-press-notes {
    text-align: center;
    color: #dc3545;
    font-style: italic;
    margin: 2rem 0;
}

.view-more-container {
    text-align: right;
    margin-top: 10px;
}

.view-more-link {
    text-decoration: none;
    font-weight: 600;
    color: #C35839;
    font-size: 14px;
}

    .view-more-link:hover {
        text-decoration: underline;
    }


/* Mobile */
@@media (max-width: 768px) {
    .pressnote-item {
        font-size: 14px;
    }
}
/*====== CSS For PressNote Ends =======*/


/*====== CSS For Notice Starts =======>>>*/
.notice-heading {
    text-align: center;
    font-weight: bold;
    color: #C35839;
    font-size: 16px;
    font-weight: bold;
    margin-top: 0 0 10px 0;
    padding: 0;
}

.notice-card {
    /*background-color: #f8f9fa;*/
    border-radius: 8px;
    padding: 5px 10px 5px 10px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.2);
    border: 1px solid #e0e0e0;
    width: 100%;
    margin-top: 15px;
}


/* List */
.notice-list {
    list-style-type: disc;
    /*padding-left: 20px;*/
}

.notice-item {
    /*margin-bottom: 10px;
    line-height: 1.6;*/
    font-family: 'Segoe UI';
    font-size: 15px;
    color: black;
}

.notice-link {
    text-decoration: none !important;
    color: black !important;
    font-size: 15px;
    max-width: 90%;

    overflow: hidden;
    text-overflow: ellipsis;
    word-break: break-word;
}

    .notice-link:hover {
        text-decoration: underline;
        color: black;
    }

/* Align second line under text */
.notice-second-line {
    margin-left: 18px;
    display: inline-block;
}

/* Language tag */
.notice-lang-tag {
    /*font-weight: bold;*/
    /*color: #444;*/
}

/* No data */
.no-notice-notes {
    text-align: center;
    color: #dc3545;
    font-style: italic;
    margin: 2rem 0;
}

.notice-view-more-container {
    text-align: right;
    margin-top: 10px;
}

.notice-view-more-link {
    text-decoration: none;
    font-weight: 600;
    color: #C35839;
    font-size: 14px;
}

    .notice-view-more-link:hover {
        text-decoration: underline;
    }

/* Mobile */
@@media (max-width: 768px) {
    .notice-item {
        font-size: 14px;
    }
}
/*<<<====== CSS For Notice Starts =======*/



